IncludeScript("ffa/gamemode/game_texts.nut")
IncludeScript("ffa/gamemode/scoreboard.nut")
IncludeScript("ffa/gamemode/assist_manager.nut")
IncludeScript("ffa/gamemode/victory_manager.nut")
IncludeScript("ffa/gamemode/misc.nut")

Convars.SetValue("tf_weapon_criticals", 0);
Convars.SetValue("mp_friendlyfire", 1);
Convars.SetValue("mp_autoteambalance", 0);
Convars.SetValue("mp_teams_unbalance_limit", 0);
Convars.SetValue("tf_classlimit", 0);
Convars.SetValue("cl_use_tournament_specgui", 0);
Convars.SetValue("mp_forcecamera", 0);
Convars.SetValue("sv_alltalk", 1);
Convars.SetValue("tf_dropped_weapon_lifetime", 0);
Convars.SetValue("mp_scrambleteams_auto", 0);
Convars.SetValue("mp_disable_respawn_times", 1); //todo re-fix
Convars.SetValue("mp_respawnwavetime", "1");
Convars.SetValue("sv_vote_issue_autobalance_allowed", "0");
Convars.SetValue("tf_spawn_glows_duration", "0");
Convars.SetValue("tf_avoidteammates", "0");
Convars.SetValue("sv_vote_issue_scramble_teams_allowed", "0");

::pd_logic <- SpawnEntityFromTable("tf_logic_player_destruction", {
    blue_respawn_time = 9999,
    finale_length = 999999,
    flag_reset_delay = 60,
    heal_distance = 0,
    min_points = 255,
    points_per_player = 0,
    red_respawn_time = 0,
    targetname = "pd_logic",
    res_file = "resource/gungame/gg_hud.res"
});
EntFireByHandle(pd_logic, "SetPointsOnPlayerDeath", "0", -1, null, null);
EntFireByHandle(pd_logic, "SetPointsOnPlayerDeath", "0", 0.1, null, null);
EntFireByHandle(pd_logic, "SetPointsOnPlayerDeath", "0", 1, null, null);
EntFireByHandle(pd_logic, "EnableMaxScoreUpdating", "", -1, null, null);
EntFireByHandle(pd_logic, "DisableMaxScoreUpdating", "", -1, null, null);
OnTickEnd(function() { SetPropInt(pd_logic, "m_nMaxPoints", fragLimit); });

::playerSeed <- player_collection(0);

::MERC_SCRIPT <- "ffa/mercenary/_mercenary.nut";

OnGameEvent("post_inventory_application", 0, function(player, params)
{
    if (GetCustomCharacter(player) == null)
        ConvertToCustomCharacter(player, MERC_SCRIPT);
});